summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2020-08-15 08:35:24 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2020-08-15 08:35:24 +0000
commit5fa7682bc91fd7b88f36e55cd17828500c759941 (patch)
tree40eaca0c4682f2155964c7b3e34e123caec4a4a7
parent2020-08-15 08:05:55 UTC (diff)
parentdev-lang/erlang: drop masked 21 branch (diff)
downloadgentoo-5fa7682bc91fd7b88f36e55cd17828500c759941.tar.gz
gentoo-5fa7682bc91fd7b88f36e55cd17828500c759941.tar.bz2
gentoo-5fa7682bc91fd7b88f36e55cd17828500c759941.zip
Merge updates from master
-rw-r--r--dev-lang/erlang/Manifest3
-rw-r--r--dev-lang/erlang/erlang-21.1.1.ebuild162
-rw-r--r--media-libs/harfbuzz/harfbuzz-2.7.1.ebuild1
-rw-r--r--media-libs/harfbuzz/harfbuzz-9999.ebuild1
-rw-r--r--net-misc/rabbitmq-server/Manifest3
-rw-r--r--net-misc/rabbitmq-server/rabbitmq-server-3.6.14.ebuild99
-rw-r--r--net-misc/rabbitmq-server/rabbitmq-server-3.6.9.ebuild99
-rw-r--r--net-misc/rabbitmq-server/rabbitmq-server-3.7.13.ebuild106
-rw-r--r--profiles/package.mask11
-rw-r--r--x11-misc/xmonad-log-applet/Manifest1
-rw-r--r--x11-misc/xmonad-log-applet/files/xmonad.hs60
-rw-r--r--x11-misc/xmonad-log-applet/metadata.xml16
-rw-r--r--x11-misc/xmonad-log-applet/xmonad-log-applet-2.0.0-r301.ebuild47
13 files changed, 2 insertions, 607 deletions
diff --git a/dev-lang/erlang/Manifest b/dev-lang/erlang/Manifest
index 5788f6efc0ab..e4eb4f18ee99 100644
--- a/dev-lang/erlang/Manifest
+++ b/dev-lang/erlang/Manifest
@@ -1,11 +1,8 @@
-DIST erlang-21.1.1.tar.gz 53854332 BLAKE2B 32ab508b5a305eb92eac9f49bd513374c573966e7565d98aa6ba986ce42eb955a46130b9f33dbb415f48de5c179b308a8b06b345a844afcb2700f7e3f257f27e SHA512 dc11aace126aad5411b0d583579fe95a7263be328612fdc9f9c02d917aef7ea7a128b1e54ddcf7a52232980d2c81fc8e90ae5a8806ee5ae6ea97f00a9cf3faab
DIST erlang-22.3.2.tar.gz 55856668 BLAKE2B d5d2ae17b8fb1b7c3da0c145e4e17d38e47d5291d6bc77228c9280eaa114630003f0e75cc0b6eafd21642a86448d8fd907d95c006cdfe6f18978e796e20585bd SHA512 02333fed57394012834452aff38d9a3340c52b109b14e444b6e7975ac3a65485de1deda6ae6c732a28f75ca2518000de576f70497118306699e35af5f249a0d1
DIST erlang-22.3.4.tar.gz 55861416 BLAKE2B 881eb664ea449fa021cdb6daaeb998ea5f736eae0900ad67c1416c0e0e0888b212e1fd1fc0ee655f1c05821b56bae52f150c3f29c2eddbac205d2a6f2fce5494 SHA512 14e90efb40568a1fd7a32b82fcdf32df8ccbda938b9e538bb3b1a77d343ae16f5721abb3d47e8dd567d7aa91d1dea6da8b7ada8a5cd8d33c38ba324f1d65eca1
DIST erlang-23.0.1.tar.gz 56387006 BLAKE2B 4ecbb5a4de0f83d80da179071d5bed7c6e7eca11f5f8f8c5681673967eaf6f0573240b9ac59e00e7162fdaa3d41e89b357263f47371f0ff9365b448a9f7cf4a9 SHA512 fc9114312327f2b7289078b29ae658a1100c860dfae03e892c1b316007b5ff286cfc301772b336eb1f5b983b3d5f507f03eff2917f418b1b9cb9714f42a59db4
DIST erlang-23.0.2.tar.gz 56391276 BLAKE2B a9f3203a28dfb3a8abe93f7cabd34b7c34346cf400dbad751c180dcbe33c40761c74680ef7ed1a3221a69c0519f37183787463f659e5a10393404df95c59fbec SHA512 82764ab879ea7588de505c6d58716999dc207163d8dcded226fe6849a3239c00088cb614558b77c038dcad1440f9b2e3ca2b2f1251df5d71b423d3f6e7497c6e
-DIST erlang_doc_html_21.1.tar.gz 32692731 BLAKE2B a7fa8ebe1c876ab7eecd2dd46ffd4d288db6d308e0f131d53c26ee4b67a92cb6fcb89b6c880ef34df395c7ad61fcdc81eac32e0fcf7336be7d517263218146bc SHA512 0d659f55bfb01eecf140a310154724489ef56b6ccbe9ac30f6b053f598276721b80de7b5b3200707cf8a6e77b8854eae5453f655225f431fcc982550539f767f
DIST erlang_doc_html_22.3.tar.gz 34041790 BLAKE2B 76372acf5d6a581fb97cac9fa8230f1505650e9398d0a8e6ed163718f6d64cbbb3b7c79a1b7129827482345ddf950be4a5d83f0dac44e173f0ef45b148b73faa SHA512 9199b6229b73a22e271c232ce03b83b65c265367062d57ca5babd23a2f0a088fde3054b25c65c1bf2cb714cb70354ce4324aa8e865db72beb1f788c27389558c
DIST erlang_doc_html_23.0.tar.gz 36238699 BLAKE2B bce5fb1d766d3a795728cf7c00529129690f52e5dbe7363095cb7e63d5331a4dfc05c2042d24f10c7f3facbd187284aa323a92c0ed7515c1750aee4cd890fbd4 SHA512 bd0b1adf8639674d31152024e1351105249c6e6f93f28362e9e4b66ce6daadbe5eef5917a5889c926130e81bd000cfc44895ebaa309bf9a0c1c125713b715927
-DIST erlang_doc_man_21.1.tar.gz 1317726 BLAKE2B 5e5c2b77a41da6ab9ae1264ba5824a9f3bda6d3b7a824b372e01356888db437ed9e45bf987d678aca3fd8d0f0e6dce25080c7a2aaa4e061936f1e6ac4717e843 SHA512 94c6191ba9f42bffeb398e865026fbc79f3b233389c7d471f0c680799aa3669e97ab5305cd53f26d6525aed33d738ebfc4eb79a8f1a0b29dc4b79a2a37a29a4f
DIST erlang_doc_man_22.3.tar.gz 1366911 BLAKE2B 89931e9ea4ef54526eb910d3b0a56711e447dffc0463d7583db8875b9be789fd369f701eb7b6fa5da7b63de3f41a8e4ba15db6db02d90642a8b322f3897d7a2b SHA512 b47c66ebd34d2f511a702e97acd67eff7c5d47045a80ffb17b21032a9b9725b015cd171b78c04e3169a95f0acdbdcab57647b31ace751c9019ce3f7c75d743b6
DIST erlang_doc_man_23.0.tar.gz 1383486 BLAKE2B 63a9989c26797fe07fbd0ccca0d8425d94bc60a86fa93b5332c8d1f3e12a0071d9e6d4759be73bf44bf35dd14723b9e6707a84ba834e1775bc28aeec1edbe168 SHA512 81575ce7b267f5bb48bd844808e8edd4e373640bbc481372b288602eb9d3c9917e6c7c040c035b63a2f6edf437c3d826d6afdf5801765b51d9edd4a3b2a5b16f
diff --git a/dev-lang/erlang/erlang-21.1.1.ebuild b/dev-lang/erlang/erlang-21.1.1.ebuild
deleted file mode 100644
index b88fb159aca1..000000000000
--- a/dev-lang/erlang/erlang-21.1.1.ebuild
+++ /dev/null
@@ -1,162 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-WX_GTK_VER="3.0"
-
-inherit autotools eapi7-ver elisp-common java-pkg-opt-2 systemd wxwidgets
-
-# NOTE: If you need symlinks for binaries please tell maintainers or
-# open up a bug to let it be created.
-
-UPSTREAM_V="$(ver_cut 1-2)"
-
-DESCRIPTION="Erlang programming language, runtime environment and libraries (OTP)"
-HOMEPAGE="https://www.erlang.org/"
-SRC_URI="https://github.com/erlang/otp/archive/OTP-${PV}.tar.gz -> ${P}.tar.gz
- http://erlang.org/download/otp_doc_man_${UPSTREAM_V}.tar.gz -> ${PN}_doc_man_${UPSTREAM_V}.tar.gz
- doc? ( http://erlang.org/download/otp_doc_html_${UPSTREAM_V}.tar.gz -> ${PN}_doc_html_${UPSTREAM_V}.tar.gz )"
-
-LICENSE="Apache-2.0"
-# We use this subslot because Compiled HiPE Code can be loaded on the exact
-# same build of ERTS that was used when compiling the code. See
-# http://erlang.org/doc/system_principles/misc.html for more information.
-SLOT="0/${PV}"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
-IUSE="doc emacs +hipe java +kpoll libressl odbc pgo sctp ssl systemd tk wxwidgets"
-
-RDEPEND="
- sys-libs/ncurses:0
- sys-libs/zlib
- emacs? ( >=app-editors/emacs-23.1:* )
- java? ( >=virtual/jdk-1.8:* )
- odbc? ( dev-db/unixODBC )
- sctp? ( net-misc/lksctp-tools )
- ssl? (
- !libressl? ( >=dev-libs/openssl-0.9.7d:0= )
- libressl? ( dev-libs/libressl:0= )
- )
- systemd? ( sys-apps/systemd )
- wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X,opengl] )
-"
-DEPEND="${RDEPEND}
- dev-lang/perl
-"
-
-S="${WORKDIR}/otp-OTP-${PV}"
-
-PATCHES=(
- "${FILESDIR}/18.2.1-wx3.0.patch"
- "${FILESDIR}/${PN}-20.3.2-dont-ignore-LDFLAGS.patch"
- "${FILESDIR}/${PN}-add-epmd-pid-file-creation-for-openrc.patch"
- "${FILESDIR}/${PN}-custom-autoconf.patch"
-)
-
-SITEFILE=50"${PN}"-gentoo.el
-
-src_prepare() {
- default
-
- ./otp_build autoconf
- find -name configure.in -execdir mv '{}' configure.ac \; || die "find failed"
- eautoreconf
-}
-
-src_configure() {
- use wxwidgets && setup-wxwidgets
-
- local myconf=(
- --disable-builtin-zlib
- $(use_enable hipe)
- $(use_enable kpoll kernel-poll)
- $(use_with java javac)
- $(use_with odbc)
- $(use_enable sctp)
- $(use_with ssl ssl "${EPREFIX}"/usr)
- $(use_enable ssl dynamic-ssl-lib)
- $(use_enable systemd)
- $(use_enable pgo)
- $(usex wxwidgets "--with-wx-config=${WX_CONFIG}" "--with-wxdir=/dev/null")
- --enable-threads
- )
- econf "${myconf[@]}"
-}
-
-src_compile() {
- if use pgo; then
- # disable distcc and ccache
- export DISTCC_HOSTS=""
- export CCACHE_DISABLE=1
- fi
-
- emake
-
- if use emacs ; then
- pushd lib/tools/emacs &>/dev/null || die
- elisp-compile *.el
- popd &>/dev/null || die
- fi
-}
-
-extract_version() {
- local path="$1"
- local var_name="$2"
- sed -n -e "/^${var_name} = \(.*\)$/s::\1:p" "${S}/${path}/vsn.mk" || die "extract_version() failed"
-}
-
-src_install() {
- local erl_libdir_rel="$(get_libdir)/erlang"
- local erl_libdir="/usr/${erl_libdir_rel}"
- local erl_interface_ver="$(extract_version lib/erl_interface EI_VSN)"
- local erl_erts_ver="$(extract_version erts VSN)"
- local my_manpath="/usr/share/${PN}/man"
-
- [[ -z "${erl_erts_ver}" ]] && die "Couldn't determine erts version"
- [[ -z "${erl_interface_ver}" ]] && die "Couldn't determine interface version"
-
- emake INSTALL_PREFIX="${D}" install
-
- if use doc ; then
- local DOCS=( "AUTHORS" "HOWTO"/* "README.md" "CONTRIBUTING.md" "${WORKDIR}"/doc/. "${WORKDIR}"/lib/. "${WORKDIR}"/erts-* )
- docompress -x /usr/share/doc/${PF}
- else
- local DOCS=("README.md")
- fi
-
- einstalldocs
-
- dosym "../${erl_libdir_rel}/bin/erl" /usr/bin/erl
- dosym "../${erl_libdir_rel}/bin/erlc" /usr/bin/erlc
- dosym "../${erl_libdir_rel}/bin/escript" /usr/bin/escript
- dosym "../${erl_libdir_rel}/lib/erl_interface-${erl_interface_ver}/bin/erl_call" /usr/bin/erl_call
- dosym "../${erl_libdir_rel}/erts-${erl_erts_ver}/bin/beam.smp" /usr/bin/beam.smp
-
- ## Clean up the no longer needed files
- rm "${ED}/${erl_libdir}/Install" || die
-
- insinto "${my_manpath}"
- doins -r "${WORKDIR}"/man/*
- # extend MANPATH, so the normal man command can find it
- # see bug 189639
- newenvd - "90erlang" <<-_EOF_
- MANPATH="${my_manpath}"
- _EOF_
-
- if use emacs ; then
- elisp-install erlang lib/tools/emacs/*.{el,elc}
- sed -e "s:/usr/share:${EPREFIX}/usr/share:g" \
- "${FILESDIR}/${SITEFILE}" > "${T}/${SITEFILE}" || die
- elisp-site-file-install "${T}/${SITEFILE}"
- fi
-
- newinitd "${FILESDIR}"/epmd.init epmd
- use systemd && systemd_dounit "${FILESDIR}"/epmd.service
-}
-
-pkg_postinst() {
- use emacs && elisp-site-regen
-}
-
-pkg_postrm() {
- use emacs && elisp-site-regen
-}
diff --git a/media-libs/harfbuzz/harfbuzz-2.7.1.ebuild b/media-libs/harfbuzz/harfbuzz-2.7.1.ebuild
index 7c89b2800e3e..814c4951afde 100644
--- a/media-libs/harfbuzz/harfbuzz-2.7.1.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-2.7.1.ebuild
@@ -40,6 +40,7 @@ DEPEND="${RDEPEND}
BDEPEND="
virtual/pkgconfig
doc? ( dev-util/gtk-doc )
+ introspection? ( dev-util/glib-utils )
"
pkg_setup() {
diff --git a/media-libs/harfbuzz/harfbuzz-9999.ebuild b/media-libs/harfbuzz/harfbuzz-9999.ebuild
index 7c89b2800e3e..814c4951afde 100644
--- a/media-libs/harfbuzz/harfbuzz-9999.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-9999.ebuild
@@ -40,6 +40,7 @@ DEPEND="${RDEPEND}
BDEPEND="
virtual/pkgconfig
doc? ( dev-util/gtk-doc )
+ introspection? ( dev-util/glib-utils )
"
pkg_setup() {
diff --git a/net-misc/rabbitmq-server/Manifest b/net-misc/rabbitmq-server/Manifest
index e9c493bb0fd7..9c1ebd64c8ba 100644
--- a/net-misc/rabbitmq-server/Manifest
+++ b/net-misc/rabbitmq-server/Manifest
@@ -1,6 +1,3 @@
-DIST rabbitmq-server-3.6.14.tar.xz 1508216 BLAKE2B 1ca3f933e91ce204cc90df7df619742e6d42e211b6350c629015a15a0ea6cdad05ad1e0139db5b2f1f353f314d1709ba468112a4059c6894ef9fb454fd616cf2 SHA512 22874b81fcebfd954e5ee8f4701bd8743bbc9559c1a1c09f8de03e16039153aa6e6b0bea71067770913493299e57da6b3928ff0ade4ee9ffb5ea48a30a154d9f
-DIST rabbitmq-server-3.6.9.tar.xz 1422316 BLAKE2B 08f88cf3b592c2fecf3e2a9c7f9a4a2997f7bea6f14a2d72cb42ad8d3254b2bcd32b0605c7687eeae8e1c39a6d3ad1776f89e84292d508903b956ec05f6cd858 SHA512 a003d2343c97e546ac01a5aadc46e94e2dbcc78349072b362950e5c5e11229e2a6fc4020d281f9fbb5cc0f577d2a166ef09671e931ec1470ab2edcdd98443662
-DIST rabbitmq-server-3.7.13.tar.xz 2595904 BLAKE2B 3dce5af3b63d84e1ab8ee02ba3f55560087e5f72532e693b483e8083e25d540406d696873b291dd715c45aae1e15945e76fcc33bdd77503c6517860b45f7e7b9 SHA512 33cc3682214782152e4e1270d1011e94df79b454abf6fcf9d56b73be1f8cf42ce0a4a559f243b4721ae25b10897c756960c655909bee2b427395d0f0b63a2fb9
DIST rabbitmq-server-3.7.24.tar.xz 2867964 BLAKE2B 30d49a72f92a9adc4fe7de071e9369cb4d574249b1d414b2e5d492585ae0bc0e5f85ca0c287d73dbf661df4cb249f29d1bfccc7516e6ec5d6ff70a437a01ce00 SHA512 5bf2b69b555ddc89415ce7918d0ab23221d383742fc20036f608b4cf99852fb58b61a5d7616b6357f151e1f16ed660b35d7b54a1c2ea46cf5b4ef67c2d38bd28
DIST rabbitmq-server-3.8.2.tar.xz 15178744 BLAKE2B 11da75e48415d53f291fffc8fafd89b506e727714e6f9dfce6a0b7c605a0d56bb3b879c779bebbc21f2bc5ada21378f9ed30e6f729c2c71b61ebe00db16eb225 SHA512 ac8cfc002ccbff8cf95c3e5508956cf5622c1c145b730589308ec4ca9173e5efca338829e13aa7dc37db035868dc964ab0e3e0edba15de49c64e18c50247b918
DIST rabbitmq-server-3.8.3.tar.xz 3304456 BLAKE2B 2ad04a1a8688cbbba71a82d44003f7ad632b26616dae977e8d326316baaaf7b475c4db37777b13aa8cb153373be0f9f85972aac7ad53c299e39615dd032e8ced SHA512 1547e7935ff34be278970c03b176d76e52a6968cc2955dc75fa00d184ed1ba567e095c5a56e0f2f7c868d41281897c53ec6f4baff019e144aa57afe99cd6adaa
diff --git a/net-misc/rabbitmq-server/rabbitmq-server-3.6.14.ebuild b/net-misc/rabbitmq-server/rabbitmq-server-3.6.14.ebuild
deleted file mode 100644
index d6fd89e8e0e4..000000000000
--- a/net-misc/rabbitmq-server/rabbitmq-server-3.6.14.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit eutils python-any-r1 systemd user
-
-DESCRIPTION="RabbitMQ is a high-performance AMQP-compliant message broker written in Erlang"
-HOMEPAGE="https://www.rabbitmq.com/"
-SRC_URI="https://www.rabbitmq.com/releases/rabbitmq-server/v${PV}/rabbitmq-server-${PV}.tar.xz"
-
-LICENSE="GPL-2 MPL-1.1"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE=""
-
-RDEPEND=">=dev-lang/erlang-18[ssl]"
-DEPEND="${RDEPEND}
- app-arch/zip
- app-arch/unzip
- app-text/docbook-xml-dtd:4.5
- app-text/xmlto
- dev-libs/libxslt
- $(python_gen_any_dep 'dev-python/simplejson[${PYTHON_USEDEP}]')
-"
-
-pkg_setup() {
- enewgroup rabbitmq
- enewuser rabbitmq -1 -1 /var/lib/rabbitmq rabbitmq
- python-any-r1_pkg_setup
-}
-
-src_compile() {
- emake all docs dist
-}
-
-src_install() {
- # erlang module
- local targetdir="/usr/$(get_libdir)/erlang/lib/rabbitmq_server-${PV}"
-
- einfo "Setting correct RABBITMQ_HOME in scripts"
- sed -e "s:^RABBITMQ_HOME=.*:RABBITMQ_HOME=\"${targetdir}\":g" \
- -i deps/rabbit/scripts/rabbitmq-env || die
-
- einfo "Installing Erlang modules to ${targetdir}"
- insinto "${targetdir}"
- doins -r deps/rabbit/ebin deps/rabbit/include plugins
-
- einfo "Installing server scripts to /usr/sbin"
- for script in rabbitmq-env rabbitmq-server rabbitmqctl rabbitmq-defaults rabbitmq-plugins; do
- exeinto /usr/libexec/rabbitmq
- doexe deps/rabbit/scripts/${script}
- newsbin "${FILESDIR}"/rabbitmq-script-wrapper ${script}
- done
-
- # install the init script
- newinitd "${FILESDIR}"/rabbitmq-server.init-r3 rabbitmq
- systemd_dounit "${FILESDIR}/rabbitmq.service"
-
- # install documentation
- dodoc deps/rabbit/docs/*.xml
- dodoc deps/rabbit/README.md
-
- # create the directory where our log file will go.
- diropts -m 0770 -o rabbitmq -g rabbitmq
- keepdir /var/log/rabbitmq /etc/rabbitmq
-
- # create the mnesia directory
- diropts -m 0770 -o rabbitmq -g rabbitmq
- dodir /var/lib/rabbitmq{,/mnesia}
-}
-
-pkg_preinst() {
- if has_version "<=net-misc/rabbitmq-server-1.8.0"; then
- elog "IMPORTANT UPGRADE NOTICE:"
- elog
- elog "RabbitMQ is now running as an unprivileged user instead of root."
- elog "Therefore you need to fix the permissions for RabbitMQs Mnesia database."
- elog "Please run the following commands as root:"
- elog
- elog " usermod -d /var/lib/rabbitmq rabbitmq"
- elog " chown rabbitmq:rabbitmq -R /var/lib/rabbitmq"
- elog
- elif has_version "<net-misc/rabbitmq-server-2.1.1"; then
- elog "IMPORTANT UPGRADE NOTICE:"
- elog
- elog "Please read release notes before upgrading:"
- elog
- elog "https://www.rabbitmq.com/release-notes/README-3.0.0.txt"
- fi
- if has_version "<net-misc/rabbitmq-server-3.3.0"; then
- elog
- elog "This release changes the behaviour of the default guest user:"
- elog
- elog "https://www.rabbitmq.com/access-control.html"
- fi
-}
diff --git a/net-misc/rabbitmq-server/rabbitmq-server-3.6.9.ebuild b/net-misc/rabbitmq-server/rabbitmq-server-3.6.9.ebuild
deleted file mode 100644
index 60b7628d197a..000000000000
--- a/net-misc/rabbitmq-server/rabbitmq-server-3.6.9.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit eutils python-any-r1 systemd user
-
-DESCRIPTION="RabbitMQ is a high-performance AMQP-compliant message broker written in Erlang"
-HOMEPAGE="https://www.rabbitmq.com/"
-SRC_URI="https://www.rabbitmq.com/releases/rabbitmq-server/v${PV}/rabbitmq-server-${PV}.tar.xz"
-
-LICENSE="GPL-2 MPL-1.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE=""
-
-RDEPEND=">=dev-lang/erlang-18[ssl]"
-DEPEND="${RDEPEND}
- app-arch/zip
- app-arch/unzip
- app-text/docbook-xml-dtd:4.5
- app-text/xmlto
- dev-libs/libxslt
- $(python_gen_any_dep 'dev-python/simplejson[${PYTHON_USEDEP}]')
-"
-
-pkg_setup() {
- enewgroup rabbitmq
- enewuser rabbitmq -1 -1 /var/lib/rabbitmq rabbitmq
- python-any-r1_pkg_setup
-}
-
-src_compile() {
- emake all docs dist
-}
-
-src_install() {
- # erlang module
- local targetdir="/usr/$(get_libdir)/erlang/lib/rabbitmq_server-${PV}"
-
- einfo "Setting correct RABBITMQ_HOME in scripts"
- sed -e "s:^RABBITMQ_HOME=.*:RABBITMQ_HOME=\"${targetdir}\":g" \
- -i deps/rabbit/scripts/rabbitmq-env || die
-
- einfo "Installing Erlang modules to ${targetdir}"
- insinto "${targetdir}"
- doins -r deps/rabbit/ebin deps/rabbit/include plugins
-
- einfo "Installing server scripts to /usr/sbin"
- for script in rabbitmq-env rabbitmq-server rabbitmqctl rabbitmq-defaults rabbitmq-plugins; do
- exeinto /usr/libexec/rabbitmq
- doexe deps/rabbit/scripts/${script}
- newsbin "${FILESDIR}"/rabbitmq-script-wrapper ${script}
- done
-
- # install the init script
- newinitd "${FILESDIR}"/rabbitmq-server.init-r3 rabbitmq
- systemd_dounit "${FILESDIR}/rabbitmq.service"
-
- # install documentation
- dodoc deps/rabbit/docs/*.xml
- dodoc deps/rabbit/README
-
- # create the directory where our log file will go.
- diropts -m 0770 -o rabbitmq -g rabbitmq
- keepdir /var/log/rabbitmq /etc/rabbitmq
-
- # create the mnesia directory
- diropts -m 0770 -o rabbitmq -g rabbitmq
- dodir /var/lib/rabbitmq{,/mnesia}
-}
-
-pkg_preinst() {
- if has_version "<=net-misc/rabbitmq-server-1.8.0"; then
- elog "IMPORTANT UPGRADE NOTICE:"
- elog
- elog "RabbitMQ is now running as an unprivileged user instead of root."
- elog "Therefore you need to fix the permissions for RabbitMQs Mnesia database."
- elog "Please run the following commands as root:"
- elog
- elog " usermod -d /var/lib/rabbitmq rabbitmq"
- elog " chown rabbitmq:rabbitmq -R /var/lib/rabbitmq"
- elog
- elif has_version "<net-misc/rabbitmq-server-2.1.1"; then
- elog "IMPORTANT UPGRADE NOTICE:"
- elog
- elog "Please read release notes before upgrading:"
- elog
- elog "https://www.rabbitmq.com/release-notes/README-3.0.0.txt"
- fi
- if has_version "<net-misc/rabbitmq-server-3.3.0"; then
- elog
- elog "This release changes the behaviour of the default guest user:"
- elog
- elog "https://www.rabbitmq.com/access-control.html"
- fi
-}
diff --git a/net-misc/rabbitmq-server/rabbitmq-server-3.7.13.ebuild b/net-misc/rabbitmq-server/rabbitmq-server-3.7.13.ebuild
deleted file mode 100644
index dfbcc2c75b34..000000000000
--- a/net-misc/rabbitmq-server/rabbitmq-server-3.7.13.ebuild
+++ /dev/null
@@ -1,106 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit python-any-r1 systemd user
-
-DESCRIPTION="RabbitMQ is a high-performance AMQP-compliant message broker written in Erlang"
-HOMEPAGE="https://www.rabbitmq.com/"
-SRC_URI="https://github.com/rabbitmq/rabbitmq-server/releases/download/v${PV}/rabbitmq-server-${PV}.tar.xz"
-
-LICENSE="GPL-2 MPL-1.1"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-RESTRICT="test"
-
-# dev-lang/erlang-20.3 cloud be used but 21 is easier to specify as it always includes the smp stuff now
-RDEPEND=">=dev-lang/erlang-21.0[ssl]
- <dev-lang/erlang-22.0[ssl]"
-DEPEND="${RDEPEND}
- app-arch/zip
- app-arch/unzip
- app-text/docbook-xml-dtd:4.5
- app-text/xmlto
- >=dev-lang/elixir-1.6.6
- dev-libs/libxslt
- $(python_gen_any_dep 'dev-python/simplejson[${PYTHON_USEDEP}]')
-"
-
-pkg_setup() {
- enewgroup rabbitmq
- enewuser rabbitmq -1 -1 /var/lib/rabbitmq rabbitmq
- python-any-r1_pkg_setup
-}
-
-src_compile() {
- emake all docs dist
-}
-
-src_install() {
- # erlang module
- local targetdir="/usr/$(get_libdir)/erlang/lib/rabbitmq_server-${PV}"
-
- einfo "Setting correct RABBITMQ_HOME in scripts"
- sed -e "s:^RABBITMQ_HOME=.*:RABBITMQ_HOME=\"${targetdir}\":g" \
- -i deps/rabbit/scripts/rabbitmq-env || die
-
- einfo "Installing Erlang modules to ${targetdir}"
- insinto "${targetdir}"
- doins -r deps/rabbit/ebin deps/rabbit/escript deps/rabbit/include deps/rabbit/priv plugins
-
- einfo "Installing server scripts to /usr/sbin"
- rm -v deps/rabbit/scripts/*.bat
- exeinto /usr/libexec/rabbitmq
- for script in deps/rabbit/scripts/*; do
- doexe ${script}
- newsbin "${FILESDIR}"/rabbitmq-script-wrapper $(basename $script)
- done
-
- # install the init script
- newinitd "${FILESDIR}"/rabbitmq-server.init-r3 rabbitmq
- systemd_dounit "${FILESDIR}/rabbitmq.service"
-
- # install documentation
- dodoc deps/rabbit/docs/*.example
- dodoc deps/rabbit/README.md
- doman deps/rabbit/docs/*.5
- doman deps/rabbit/docs/*.8
-
- # create the directory where our log file will go.
- diropts -m 0770 -o rabbitmq -g rabbitmq
- keepdir /var/log/rabbitmq /etc/rabbitmq
-
- # create the mnesia directory
- diropts -m 0770 -o rabbitmq -g rabbitmq
- keepdir /var/lib/rabbitmq{,/mnesia}
-}
-
-pkg_preinst() {
- if has_version "<=net-misc/rabbitmq-server-1.8.0"; then
- elog "IMPORTANT UPGRADE NOTICE:"
- elog
- elog "RabbitMQ is now running as an unprivileged user instead of root."
- elog "Therefore you need to fix the permissions for RabbitMQs Mnesia database."
- elog "Please run the following commands as root:"
- elog
- elog " usermod -d /var/lib/rabbitmq rabbitmq"
- elog " chown rabbitmq:rabbitmq -R /var/lib/rabbitmq"
- elog
- elif has_version "<net-misc/rabbitmq-server-2.1.1"; then
- elog "IMPORTANT UPGRADE NOTICE:"
- elog
- elog "Please read release notes before upgrading:"
- elog
- elog "https://www.rabbitmq.com/release-notes/README-3.0.0.txt"
- fi
- if has_version "<net-misc/rabbitmq-server-3.3.0"; then
- elog
- elog "This release changes the behaviour of the default guest user:"
- elog
- elog "https://www.rabbitmq.com/access-control.html"
- fi
-}
diff --git a/profiles/package.mask b/profiles/package.mask
index 465be38f6863..a2743d1d5c7b 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -594,11 +594,6 @@ net-libs/osptoolkit
=net-misc/asterisk-11*
=net-misc/asterisk-g729-11*
-# Sergei Trofimovich <slyfox@gentoo.org> (2020-07-20)
-# Old erlang version. Removal in 30 days. bug #732188
-=dev-lang/erlang-21*
-<net-misc/rabbitmq-server-3.7.24
-
# Hans de Graaff <graaff@gentoo.org> (2020-07-20)
# Mask old obsolete slots for removal in 30 days.
# Use a newer slot of the same package instead.
@@ -743,12 +738,6 @@ dev-go/goptlib
# Removal in 30 days
dev-perl/gnome2-perl
-# Sergei Trofimovich <slyfox@gentoo.org> (2020-07-05)
-# No upstream activity in past few years.
-# Needs porting to gtk3/fxce4panel-4.15: bug #729492.
-# Removal in 30 days.
-x11-misc/xmonad-log-applet
-
# Michał Górny <mgorny@gentoo.org> (2020-07-04)
# Unmaintained. Requires scipy-python2. Current version is from 2015,
# latest upstream release from 2017. The only revdep is masked
diff --git a/x11-misc/xmonad-log-applet/Manifest b/x11-misc/xmonad-log-applet/Manifest
deleted file mode 100644
index 44bdd2c505d8..000000000000
--- a/x11-misc/xmonad-log-applet/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST xmonad-log-applet-2.0.0.tar.gz 82881 BLAKE2B a059158558cc2fcb150e90cbd055cf50367dbed464c46891b6c63d49d2b5e2974ea3fc859afe8f1115af78fae60e639bde0aec37af8be693720eca80905712b8 SHA512 1885ac97569d909ab1c6af99d9b271d0f782de905dfe035df27524f428d09cefa20a468103477132656dea8945faf886270fd70a49e5a08be538e04f3f05baca
diff --git a/x11-misc/xmonad-log-applet/files/xmonad.hs b/x11-misc/xmonad-log-applet/files/xmonad.hs
deleted file mode 100644
index 54b0025a97c4..000000000000
--- a/x11-misc/xmonad-log-applet/files/xmonad.hs
+++ /dev/null
@@ -1,60 +0,0 @@
-import XMonad
-import XMonad.Config.Gnome
-import XMonad.Hooks.DynamicLog
-
-import Control.OldException
-
-import DBus
-import DBus.Connection
-import DBus.Message
-
-main :: IO ()
-main = withConnection Session $ \dbus -> do
- getWellKnownName dbus
- xmonad $ gnomeConfig
- { logHook = dynamicLogWithPP (prettyPrinter dbus)
- }
-
-prettyPrinter :: Connection -> PP
-prettyPrinter dbus = defaultPP
- { ppOutput = dbusOutput dbus
- , ppTitle = pangoSanitize
- , ppCurrent = pangoColor "green" . wrap "[" "]" . pangoSanitize
- , ppVisible = pangoColor "yellow" . wrap "(" ")" . pangoSanitize
- , ppHidden = const ""
- , ppUrgent = pangoColor "red"
- , ppLayout = const ""
- , ppSep = " "
- }
-
-getWellKnownName :: Connection -> IO ()
-getWellKnownName dbus = tryGetName `catchDyn` (\(DBus.Error _ _) -> getWellKnownName dbus)
- where
- tryGetName = do
- namereq <- newMethodCall serviceDBus pathDBus interfaceDBus "RequestName"
- addArgs namereq [String "org.xmonad.Log", Word32 5]
- sendWithReplyAndBlock dbus namereq 0
- return ()
-
-dbusOutput :: Connection -> String -> IO ()
-dbusOutput dbus str = do
- msg <- newSignal "/org/xmonad/Log" "org.xmonad.Log" "Update"
- addArgs msg [String ("<b>" ++ str ++ "</b>")]
- -- If the send fails, ignore it.
- send dbus msg 0 `catchDyn` (\(DBus.Error _ _) -> return 0)
- return ()
-
-pangoColor :: String -> String -> String
-pangoColor fg = wrap left right
- where
- left = "<span foreground=\"" ++ fg ++ "\">"
- right = "</span>"
-
-pangoSanitize :: String -> String
-pangoSanitize = foldr sanitize ""
- where
- sanitize '>' xs = "&gt;" ++ xs
- sanitize '<' xs = "&lt;" ++ xs
- sanitize '\"' xs = "&quot;" ++ xs
- sanitize '&' xs = "&amp;" ++ xs
- sanitize x xs = x:xs
diff --git a/x11-misc/xmonad-log-applet/metadata.xml b/x11-misc/xmonad-log-applet/metadata.xml
deleted file mode 100644
index e8a655590796..000000000000
--- a/x11-misc/xmonad-log-applet/metadata.xml
+++ /dev/null
@@ -1,16 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>haskell@gentoo.org</email>
- </maintainer>
- <maintainer type="person">
- <email>flo@geekplace.eu</email>
- </maintainer>
- <longdescription>
- xmonad-log-applet is for Xmonad users who find the GNOME, MATE, or Xfce panel useful. The applet will show the active workspaces, the title of the selected window or whatever information you send it from your xmonad.hs.
- </longdescription>
- <upstream>
- <remote-id type="github">alexkay/xmonad-log-applet</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/x11-misc/xmonad-log-applet/xmonad-log-applet-2.0.0-r301.ebuild b/x11-misc/xmonad-log-applet/xmonad-log-applet-2.0.0-r301.ebuild
deleted file mode 100644
index 9038beb0ce04..000000000000
--- a/x11-misc/xmonad-log-applet/xmonad-log-applet-2.0.0-r301.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools gnome2
-
-DESCRIPTION="Gnome and XFCE applet for displaying XMonad log"
-HOMEPAGE="https://github.com/alexkay/xmonad-log-applet"
-SRC_URI="https://github.com/downloads/alexkay/${PN}/${P}.tar.gz"
-LICENSE="BSD"
-
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RESTRICT="mirror"
-
-RDEPEND="
- sys-apps/dbus
- xfce-base/xfce4-panel
- dev-libs/dbus-glib
- dev-libs/glib:2
- dev-haskell/dbus
- x11-libs/gtk+:3
-"
-DEPEND="${RDEPEND}"
-
-src_prepare() {
- eautoreconf
- gnome2_src_prepare
-}
-
-src_configure() {
- gnome2_src_configure --sysconfdir=/etc --with-panel=xfce4
-}
-
-src_install() {
- gnome2_src_install
- dodoc AUTHORS.md README.md
- dodoc "${FILESDIR}"/xmonad.hs
-}
-
-pkg_postinst() {
- gnome2_pkg_postinst
- elog "Remember to update your xmonad.hs accordingly"
- elog "a sample xmonad.hs is provided in /usr/share/doc/${PF}"
-}